use super::types::Type;

pub struct Callable {
    pub name: String,
    pub args: Vec<(Option<String>, Type)>,
    pub ret_type: Option<Type>,
}

impl<'ty> Callable {
    pub fn name(&self) -> &str {
        &self.name
    }

    pub fn argcount(&self) -> usize {
        self.args.len()
    }
}
